<div class="container">
  <h1>Register Form:</h1>
  <form [formGroup]="regForm" #formDir="ngForm">
    <input type="email" id="nom" name="nom" placeholder="nom"
           formControlName="nom" required><br/>
    <div>
      <div *ngIf="regForm.controls['nom']?.errors?.['required']">
        Nom és obligatori.
      </div>
      <div *ngIf="regForm.controls['nom']?.errors?.['emailStrength']">
        El correu ha de ser ies-sabadell.cat
      </div>
      <div *ngIf="regForm.controls['nom']?.errors?.['minlength']">
        El nom ha de tenir almenys 7 caracters.
      </div>

    </div>
    <input type="password" placeholder="Password"
           formControlName="password" required>
    <br/>
    <div>
      @if(regForm.controls['password']?.errors?.['required']){
        <div>Password is required.</div>
      }
      @if(regForm.controls['password']?.errors?.['minlength']){
        <div>La password ha de tenir almenys 8 caracters.</div>
      }
      @if(regForm.controls['password']?.errors?.['passwordStrength']){
        <div>Han d'haver números lletres minuscules i lletres majuscules.</div>
      }
    </div>
  </form>
  <button (click)="register()"
          [disabled]="!regForm.valid">Register</button>
  <p>{{message}}</p>
</div>
